%define	major	1
%define	libname	%mklibname %{name}_ %{major}
%define	devname	%mklibname %{name} -d

%bcond_without	uclibc
%define buildpdf 0

Summary:	Extremely powerful file compression utility
Name:		bzip2
Version:	1.0.6
Release:	6
License:	BSD
Group:		Archiving/Compression
URL:		http://www.bzip.org/index.html
Source0:	http://www.bzip.org/%{version}/%{name}-%{version}.tar.gz
Source1:	bzgrep
Source2:	bzme
Source3:	bzme.1
Patch0:		bzip2-1.0.6-makefile.diff
Requires:	mktemp
Requires:	%{libname} = %{version}-%{release}
%if %buildpdf
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
%endif
BuildRequires:	texinfo
BuildRequires:	libtool
%if %{with uclibc}
BuildRequires:	uClibc-devel >= 0.9.33.2-9
%endif

%description
Bzip2 compresses files using the Burrows-Wheeler block-sorting text
compression algorithm, and Huffman coding. Compression is generally
considerably better than that achieved by more conventional LZ77/LZ78-based
compressors, and approaches the performance of the PPM family of statistical
compressors.

The command-line options are deliberately very similar to those of GNU Gzip,
but they are not identical.

%package -n	%{libname}
Summary:	Libraries for developing apps which will use bzip2
Group:		System/Libraries

%description -n	%{libname}
Library of bzip2 functions, for developing apps which will use the
bzip2 library (aka libz2).

%if %{with uclibc}
%package -n	uclibc-%{libname}
Summary:	uClibc linked libraries for developing apps which will use bzip2
Group:		System/Libraries

%description -n	uclibc-%{libname}
Library of bzip2 functions, for developing apps which will use the
bzip2 library (aka libz2).
%endif

%package -n	%{devname}
Summary:	Header files for developing apps which will use bzip2
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname bzip2_ 1 -d} < 1.0.5-3
Provides:	%{mklibname bzip2_ 1 -d}
%if %{with uclibc}
Requires:	uclibc-%{libname} = %{EVRD}
%endif

%description -n	%{devname}
Header files and static library of bzip2 functions, for developing apps which
will use the bzip2 library (aka libz2).

%prep

%setup -q
%patch0 -p1 -b .makefile

echo "lib = %{_lib}" >> config.in
echo "CFLAGS = %{optflags}" >> config.in
echo "LDFLAGS = %{ldflags}" >> config.in

cp %{SOURCE1} bzgrep
cp %{SOURCE2} bzme
cp %{SOURCE3} bzme.1

%build
%if %{with uclibc}
%make -f Makefile-libbz2_so CC="%{uclibc_cc}" CFLAGS="%{uclibc_cflags}" LDFLAGS="%{ldflags} -Wl,-O2"
mkdir -p uclibc
mv libbz2.so.%{major}* uclibc
make clean
%endif

%make -f Makefile-libbz2_so
%make

%if %buildpdf
texi2dvi --pdf manual.texi
%endif

%install
rm -rf %{buildroot}

%if %{with uclibc}
mkdir -p %{buildroot}%{uclibc_root}%{_libdir}
cp -a uclibc/libbz2.so.%{major}* %{buildroot}%{uclibc_root}%{_libdir}
ln -rsf %{buildroot}%{uclibc_root}%{_libdir}/libbz2.so.%{major}.*.* %{buildroot}%{uclibc_root}%{_libdir}/libbz2.so
%endif


%makeinstall_std

install -m0755 bzme %{buildroot}%{_bindir}/
install -m0755 bzgrep %{buildroot}%{_bindir}/
install -m0644 bzgrep.1 %{buildroot}%{_mandir}/man1/

cat > %{buildroot}%{_bindir}/bzless <<EOF
#!/bin/sh
%{_bindir}/bunzip2 -c "\$@" | %{_bindir}/less
EOF
chmod 755 %{buildroot}%{_bindir}/bzless
install -m 644 %{SOURCE3} %{buildroot}%{_mandir}/man1/

# cleanup
rm -f %{buildroot}%{_libdir}/*.*a

%files
%doc README LICENSE CHANGES
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%doc LICENSE
%{_libdir}/libbz2.so.%{major}*

%if %{with uclibc}
%files -n uclibc-%{libname}
%doc LICENSE
%{uclibc_root}%{_libdir}/libbz2.so.%{major}*
%endif

%files -n %{devname}
%doc *.html LICENSE
%if %buildpdf
%doc manual.pdf
%endif
%{_libdir}/libbz2.so
%if %{with uclibc}
%{uclibc_root}%{_libdir}/libbz2.so
%endif
%{_includedir}/*.h


%changelog
* Sat Sep 22 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.0.6-6
+ Revision: 817302
- rebuild against uClibc with locale support

* Sat Sep 22 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.0.6-5
+ Revision: 817295
- do uclibc build of library

* Sat Feb 11 2012 Oden Eriksson <oeriksson@mandriva.com> 1.0.6-4
+ Revision: 773295
- various cleanups

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.0.6-3
+ Revision: 663345
- mass rebuild

* Fri Oct 15 2010 Thierry Vignaud <tv@mandriva.org> 1.0.6-2mdv2011.0
+ Revision: 585829
- bzme: able to recompress rar files too
- bzme: adapt for Fedora/RHEL

* Mon Sep 20 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.6-1mdv2011.0
+ Revision: 579942
- 1.0.6
- rediffed P0

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-7mdv2010.1
+ Revision: 518988
- rebuild

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-6mdv2010.0
+ Revision: 413193
- rebuild

* Sat Jan 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.5-5mdv2009.1
+ Revision: 328087
- merge both patches into one
- make sure that -D_FILE_OFFSET_BITS=64 is always passed during compilation (mdvbz #46851)

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.5-4mdv2009.1
+ Revision: 316557
- use -fPIC
- really use %%{optflags} and %%{ldflags}

* Sun Jul 06 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.5-3mdv2009.0
+ Revision: 232090
- new library policy
- protect major
- spec file clean

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.0.5-2mdv2009.0
+ Revision: 220495
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Mar 21 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.0.5-1mdv2008.1
+ Revision: 189334
- new version, 1.0.5, fixes a security hole

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.0.4-3mdv2008.1
+ Revision: 149066
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Thu Aug 16 2007 Thierry Vignaud <tv@mandriva.org> 1.0.4-2mdv2008.0
+ Revision: 64221
- rebuild


* Fri Jan 05 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-1mdv2007.0
+ Revision: 104592
- 1.0.4
- rediffed the makefile patch (now P0)
- nuked upstream fixes for CAN-2005-0953, CAN-2005-0758 and other sec holes
- rebuild
- Import bzip2

* Sun Jul 30 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-6mdk
- sync with fedora (1.0.3-2.2.1)
- dropped the progress patch (P2) because it don't work with 
  large files, fixes #22262

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 1.0.3-5mdk
- rebuild for sparc

* Tue Jan 31 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.3-4mdk
- merge with the 1.0.3-1.2.20060mdk relese (CVE-2005-0953,CVE-2005-0758)

* Sat Jan 07 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.3-3mdk
- add BuildRequires: libtool

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.3-2mdk
- Rebuild

* Wed Jun 08 2005 Gtz Waschk <waschk@mandriva.org> 1.0.3-1mdk
- update patch 1
- fix URLs
- new version

* Fri Feb 11 2005 Olivier Blin <oblin@mandrakesoft.com> 1.0.2-20mdk
- bzme: allow to force compression with -F option
  (#11183, patch from Michael Scherer)
- fix summary ended with dot

* Fri Sep 17 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-19mdk
- ship with bzdiff, bzmore
- automake build is evil here for a so small project

* Tue Apr 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-18mdk
- fix url

